# dhcpd.conf
#
# Sample configuration file for ISC dhcpd
#

# option definitions common to all supported networks...
option domain-name "postfoXX.lan";
option domain-name-servers 10.0.XX.31;
option routers 10.0.XX.1;

default-lease-time 600;
max-lease-time 7200;

# The ddns-updates-style parameter controls whether or not the server will
# attempt to do a DNS update when a lease is confirmed. We default to the
# behavior of the version 2 packages ('none', since DHCP v2 didn't
# have support for DDNS.)
ddns-update-style none;

# If this DHCP server is the official DHCP server for the local
# network, the authoritative directive should be uncommented.
authoritative;

# This is a basic subnet declaration.
subnet 10.0.XX.0 netmask 255.255.255.0 {
  range 10.0.XX.150 10.0.XX.200;
  next-server 10.0.XX.34;
}

# Fixed IP addresses can also be specified for hosts.   These addresses
# should not also be listed as being available for dynamic assignment.
#host fantasia {
#  hardware ethernet 08:00:07:26:c0:a5;
#  fixed-address 10.0.1.40;
#}

class "pxeclient" {
    match if substring (option vendor-class-identifier, 0, 9) = "PXEClient";

    if substring (option vendor-class-identifier, 15, 5) = "00000" {
        # BIOS client 
        filename "undionly.kpxe";
    }
    elsif substring (option vendor-class-identifier, 15, 5) = "00006" {
        # EFI client 32 bit
        filename   "ipxe32.efi";
    }
    else {
        # default to EFI 64 bit
        # filename   "snponly.efi";
        filename   "ipxe.efi";

    }
}


